{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.passthrough.gyroflow;
in mkIf cfg.enable {
  home.packages = [ cfg.package ];

  wayland.windowManager.sway.config.window.commands = [
    { criteria.app_id = "xyz.gyroflow.gyroflow"; command = "floating enable"; }
  ];
}
